﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.Windows.Browser;
using System.Windows.Printing;

namespace SLShowVideo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        #region 播放视频
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //加载视频
            this.showVideo.Source = new Uri(GetURL()+"/sampleVideo.wmv");
        }
        /// <summary>
        /// 获取当前网站的Url前缀
        /// </summary>
        /// <returns></returns>
        public static string GetURL()
        {
            ScriptObject location = (HtmlPage.Window.GetProperty("location") as ScriptObject);
            object r = location.GetProperty("href");
            string URL = r.ToString().Substring(0, r.ToString().LastIndexOf('/'));
            //截取到当前SILVERLIGHT程序存放网络URL的前缀
            return URL;
        }
        private void button3_Click(object sender, RoutedEventArgs e)
        {
            //暂停
            this.showVideo.Pause();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            //停止
            this.showVideo.Stop();
        }

        private void button1_Click_1(object sender, RoutedEventArgs e)
        {
            //播放
            this.showVideo.Play();
        }
        #endregion

      
#region 打印文档
PrintDocument print;
private void btnPrint_Click(object sender, RoutedEventArgs e)
{
        print = new PrintDocument();
    print.PrintPage += new EventHandler<PrintPageEventArgs>(print_PrintPage);
    print.Print("canvas1");
}

void print_PrintPage(object sender, PrintPageEventArgs e)
{
    e.PageVisual = this.canvas1;
          
}
#endregion
    }
}
